%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

%define glib_version 2.6.0
%define gtk_version 2.4.0
%define gnome_panel_version 2.2.0
%define gnome_python_version 2.9.0
%define gtkhtml2_version 2.3.1
%define firefox_version 1.5.0.12
%define gtkspell_version 2.0.7

### Abstract ###

Name: gnome-python2-extras
Version: 2.14.2
Release: 10%{?dist}
License: GPL/LGPL
Group: Development/Languages
Summary: The sources for additional. PyGNOME Python extension modules.
URL: http://www.pygtk.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: gnome-python-extras-%{version}.tar.bz2

### Patches ###

Patch1: gnome-python-extras-2.10.0-gtkspell-static.patch

### Dependencies ###

Requires: gnome-python2 >= %{gnome_python_version}
Requires: python-abi = %{pyver}

### Build Dependencies ###

BuildRequires: firefox-devel >= %{firefox_version}
BuildRequires: glib2 >= %{glib_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel_version}
BuildRequires: gnome-python2-devel >= %{gnome_python_version}
BuildRequires: gtk2 >= %{gtk_version}
BuildRequires: gtkhtml2-devel >= %{gtkhtml2_version}
BuildRequires: gtkspell-devel >= %{gtkspell_version}
BuildRequires: libbonoboui-devel
BuildRequires: pygtk2-devel
BuildRequires: python-devel

%description
The gnome-python-extra package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.


%package -n gnome-python2-gtkhtml2
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Languages
Requires: gtkhtml2 >= %{gtkhtml2_version}
Obsoletes: pygnome-gtkhtml

%description -n gnome-python2-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via
Python.

%package -n gnome-python2-libegg
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for recent files and tray icons
Group: Development/Languages

%description -n gnome-python2-libegg
This module contains a wrapper that allows the use of recent files
and tray icons via Python.

%package -n gnome-python2-gtkspell
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gtkspell
Group: Development/Languages
Requires: gtkspell >= %{gtkspell_version}

%description -n gnome-python2-gtkspell
This module contains a wrapper that allows the use of gtkspell
via Python.

%package -n gnome-python2-gtkmozembed
Summary: Python bindings for interacting with gtkmozembed
Group: Development/Languages
Requires: firefox = %{firefox_version}

# Require firefox = %{firefox_version} (not >=) to purposefully cause a
# dependency conflict when firefox is upgraded, since libgtkembedmoz.so
# lives in a versioned directory (/usr/lib/firefox-w.x.y.z/).  This
# package needs to be rebuilt every time "w.x.y.z" changes.

%description -n gnome-python2-gtkmozembed
This module contains a wrapper that allows the use of gtkmozembed
via Python.

%prep
%setup -q -n gnome-python-extras-%{version}
%patch1 -p1 -b .gtkspell-static

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gksu

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-extras-2.0.pc
%{_datadir}/pygtk

%files -n gnome-python2-gtkhtml2
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtkhtml*
%defattr(644,root,root,755)
%doc examples/gtkhtml2/*

%files -n gnome-python2-libegg
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/egg
%defattr(644,root,root,755)
%doc examples/egg/*


%files -n gnome-python2-gtkspell
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtkspell.so
%{_datadir}/gtk-doc/html/pygtkspell


%files -n gnome-python2-gtkmozembed
%defattr(-,root,root,-)
%{_libdir}/python%{pyver}/site-packages/gtk-2.0/gtkmozembed.so
%{_datadir}/gtk-doc/html/pygtkmozembed

%changelog
* Fri Jun 01 2007 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-10.fc6
- Rebuild against firefox-1.5.0.12.

* Mon Feb 26 2007 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-9.fc6
- Rebuild against firefox-1.5.0.10.

* Sat Jan 20 2007 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-8.fc6
- Add missing BuildRequires gnome-python2-devel (RH bug #223602).

* Thu Jan 05 2007 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-7
- Require firefox-1.5.0.9 exactly.  This will introduce a dependency
  conflict the next time libgtkembedmoz.so changes location, to ensure
  this package gets rebuilt (RH bug #215163).

* Thu Nov 21 2006 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-6
- Rebuild against firefox (again).

* Sat Nov 11 2006 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-5
- Rebuild against firefox.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 2.14.2-4
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 John (J5) Palmieri <johnp@redhat.com> - 2.14.2-3
- Remove the Requires on the parent package from gtkmozembed
  so we don't pull in gnome-python2 also.  At some point we
  should look at what requires gnome-python2 and only Require it
  for those sub packages and not the parent package.

* Fri Sep 22 2006 Matthew Barnes <mbarnes@redhat.com> - 2.14.2-2
- Rebuild

* Tue Aug 29 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-1
- Update to 2.14.2
- Drop upstreamed patch

* Mon Jul 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-6
- fix a typo in configure

* Mon Jul 31 2006 Jesse Keating <jkeating@redhat.com> - 2.14.1-5
- again

* Mon Jul 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-3
- Rebuild against firefox

* Thu Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Rebuild

* Thu Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-1
- Update to 2.14.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.0-2.1
- rebuild

* Sat Jun 24 2006 Jesse Keating <jkeating@redhat.com> 2.14.0-2
- Add missing BR pygtk2-devel

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.de> 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.3-4
- Buildrequires: python-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.3-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb  6 2006 John (J5) Palmieri <johnp@redhat.com> - 2.13.3-3
- Upload correct tar ball and try again

* Mon Feb  6 2006 John (J5) Palmieri <johnp@redhat.com> - 2.13.3-2
- Bump and rebuild (force-tag fails for this module)

* Mon Feb  6 2006 John (J5) Palmieri <johnp@redhat.com> - 2.13.3-1
- Update to 2.13.3
- Move the gnome-python2-applet gnome-python2-gnomeprint 
  gnome-python2-gtksourceview gnome-python2-libwnck 
  gnome-python2-libgtop2 gnome-python2-nautilus-cd-burner 
  gnome-python2-metacity and gnome-python2-totem subpackages 
  to gnome-python2-desktop because gnome-python-extras was split upstream

* Mon Jan 23 2006 Ray Strode <rstrode@redhat.com> - 2.12.1-10
- rebuild

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-9
- Last rebuild didn't get the new libgtop

* Tue Dec 20 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-8
- rebuild for new libgtop soname change

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 2.12.1-7.1
- rebuilt

* Fri Dec 02 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-7
- rebuild with new libnautilus-cd-burner

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-6
- Don't delete the mozembed docs

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-5
- Try this again

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-4
- Remove ifarch directives around mozembed since it is now built on
  ppc64. Bump release again and retag

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-3
- Use pyver directly and bump release because force-tag doesn't work

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-2
- Module won't tag - bump release and try again

* Wed Nov 09 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Tue Sep 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.12.0-4
- remove conditionality of requirement on gnome-media-devel

* Tue Sep 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.12.0-3
- consolidate s390 conditional part of build requirement on gnome-media-devel

* Tue Sep 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.12.0-2
- fix sources

* Tue Sep 27 2005 David Malcolm <dmalcolm@redhat.com> - 2.12.0-1
- bump from 2.11.4 to 2.12.0
- rename wnck_window_demands_attention to wnck_window_needs_attention, to track
  change made in libwnck C API in 2.11.4, #169383
- added build requirement on gnome-media-devel, since this is needed to build
  mediaprofiles.so

* Fri Aug 19 2005 Jonathan Blandford <jrb@redhat.com> - 2.11.4-9
- add requires for gtksourceview, #162403

* Fri Aug 19 2005 Jeremy Katz <katzj@redhat.com> - 2.11.4-8
- totem subpackage shouldn't require mozilla
- build again on s390{,x}, but don't do the -nautilus-cdburner subpackage

* Wed Aug 17 2005 David Zeuthen <davidz@redhat.com> - 2.11.4-6
- Rebuilt

* Thu Aug 11 2005 Jeremy Katz <katzj@redhat.com> - 2.11.4-5
- add -totem subpackage
- nuke mozembed docs on ppc64

* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 2.11.4-2
- and fix the build

* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 2.11.4-1
- bump version and rebuild against current stack

* Mon Jul 11 2005  <jrb@redhat.com> - 2.11.2-1
- bump version and fix nautilus-cd-burner for s390

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-2.1
- Retag and rebuild

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-2
- Add patch to fix build error with gtkspell module

* Mon Mar 28 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0-1
- Update to upstream 2.10.0

* Mon Feb  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.3-1
- Initial build.

